Package com.independentsoft.office.charts

# Class ScatterChartSerie

java.lang.Object
com.independentsoft.office.charts.ScatterChartSerie

public class ScatterChartSerie extends Object
The Class ScatterChartSerie.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScatterChartSerie()`
  Instantiates a new scatter chart serie.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ScatterChartSerie`
  `clone()`
  `ChartShapeProperties`
  `getChartShapeProperties()`
  Gets the chart shape properties.
  `DataLabels`
  `getDataLabels()`
  Gets the data labels.
  `List<DataPoint>`
  `getDataPoints()`
  Gets the data points.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`c:extLst`).
  `ErrorBars`
  `getFirstErrorBars()`
  Gets the first error bars.
  `int`
  `getIndex()`
  Gets the index.
  `Marker`
  `getMarker()`
  Gets the marker.
  `int`
  `getOrder()`
  Gets the order.
  `ErrorBars`
  `getSecondErrorBars()`
  Gets the second error bars.
  `SeriesText`
  `getSeriesText()`
  Gets the series text.
  `List<Trendline>`
  `getTrendlines()`
  Gets the trendlines.
  `XValues`
  `getXValues()`
  Gets the x values.
  `YValues`
  `getYValues()`
  Gets the y values.
  `boolean`
  `isSmoothing()`
  Checks if is smoothing.
  `void`
  `setDataLabels​(DataLabels dataLabels)`
  Sets the data labels.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`c:extLst`).
  `void`
  `setFirstErrorBars​(ErrorBars firstErrorBars)`
  Sets the first error bars.
  `void`
  `setIndex​(int index)`
  Sets the index.
  `void`
  `setMarker​(Marker marker)`
  Sets the marker.
  `void`
  `setOrder​(int order)`
  Sets the order.
  `void`
  `setSecondErrorBars​(ErrorBars secondErrorBars)`
  Sets the second error bars.
  `void`
  `setSeriesText​(SeriesText seriesText)`
  Sets the series text.
  `void`
  `setSmoothing​(boolean smoothing)`
  Sets the smoothing.
  `void`
  `setXValues​(XValues xValues)`
  Sets the x values.
  `void`
  `setYValues​(YValues yValues)`
  Sets the y values.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ScatterChartSerie

    public ScatterChartSerie()
    Instantiates a new scatter chart serie.

- ## Method Details

  - ### clone

    public ScatterChartSerie clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getDataLabels

    public DataLabels getDataLabels()
    Gets the data labels.
    Returns:
      the data labels

  - ### setDataLabels

    public void setDataLabels​(DataLabels dataLabels)
    Sets the data labels.
    Parameters:
      `dataLabels` - the new data labels

  - ### getDataPoints

    public List<DataPoint> getDataPoints()
    Gets the data points.
    Returns:
      the data points

  - ### getFirstErrorBars

    public ErrorBars getFirstErrorBars()
    Gets the first error bars.
    Returns:
      the first error bars

  - ### setFirstErrorBars

    public void setFirstErrorBars​(ErrorBars firstErrorBars)
    Sets the first error bars.
    Parameters:
      `firstErrorBars` - the new first error bars

  - ### getSecondErrorBars

    public ErrorBars getSecondErrorBars()
    Gets the second error bars.
    Returns:
      the second error bars

  - ### setSecondErrorBars

    public void setSecondErrorBars​(ErrorBars secondErrorBars)
    Sets the second error bars.
    Parameters:
      `secondErrorBars` - the new second error bars

  - ### getIndex

    public int getIndex()
    Gets the index.
    Returns:
      the index

  - ### setIndex

    public void setIndex​(int index)
    Sets the index.
    Parameters:
      `index` - the new index

  - ### getMarker

    public Marker getMarker()
    Gets the marker.
    Returns:
      the marker

  - ### setMarker

    public void setMarker​(Marker marker)
    Sets the marker.
    Parameters:
      `marker` - the new marker

  - ### getOrder

    public int getOrder()
    Gets the order.
    Returns:
      the order

  - ### setOrder

    public void setOrder​(int order)
    Sets the order.
    Parameters:
      `order` - the new order

  - ### isSmoothing

    public boolean isSmoothing()
    Checks if is smoothing.
    Returns:
      true, if is smoothing

  - ### setSmoothing

    public void setSmoothing​(boolean smoothing)
    Sets the smoothing.
    Parameters:
      `smoothing` - the new smoothing

  - ### getChartShapeProperties

    public ChartShapeProperties getChartShapeProperties()
    Gets the chart shape properties.
    Returns:
      the chart shape properties

  - ### getTrendlines

    public List<Trendline> getTrendlines()
    Gets the trendlines.
    Returns:
      the trendlines

  - ### getSeriesText

    public SeriesText getSeriesText()
    Gets the series text.
    Returns:
      the series text

  - ### setSeriesText

    public void setSeriesText​(SeriesText seriesText)
    Sets the series text.
    Parameters:
      `seriesText` - the new series text

  - ### getXValues

    public XValues getXValues()
    Gets the x values.
    Returns:
      the x values

  - ### setXValues

    public void setXValues​(XValues xValues)
    Sets the x values.
    Parameters:
      `xValues` - the new x values

  - ### getYValues

    public YValues getYValues()
    Gets the y values.
    Returns:
      the y values

  - ### setYValues

    public void setYValues​(YValues yValues)
    Sets the y values.
    Parameters:
      `yValues` - the new y values